Bug 840846 - RHEVM - Admin GUI: No indication of failure when exporting a VM/template that already exists
RHEVM - Admin GUI: No indication of failure when exporting a VM/template that...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Tomas Jelinek
Haim
virt
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 07:31 EDT by Daniel Paikov
Modified: 2014-01-12 19:53 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 12:08:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-07-17 07:31:59 EDT
* Export a VM/template.
* Try to export it again without force override, even though it already exists.
* No CanDoAction failure appears in the GUI, although it is shown in the logs:

2012-07-17 14:24:53,898 WARN  [org.ovirt.engine.core.bll.ExportVmTemplateCommand] (ajp--0.0.0.0-8009-7) CanDoAction of action ExportVmTemplate failed. Reasons:VAR__ACTION__EXPORT,VAR__TYPE__VM,ACTION_TYPE_FAILED_TEMPLATE_NAME_ALREADY_EXISTS
Comment 2 Tomas Jelinek 2012-07-18 12:08:10 EDT
verified working in si10 and on current upstream: 79a697166b4d790d419fc57b66ae0cdde59dfba5

Note You need to log in before you can comment on or make changes to this bug.